com.google.cloud.dataflow.sdk.transforms

## Class Top.Smallest<T extends Comparable<? super T>>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.Top.Smallest<T>

All Implemented Interfaces:
  Serializable, Comparator<T>

Enclosing class:
  Top

    public static class Top.Smallest<T extends Comparable<? super T>>
    extends Object
    implements Comparator<T>, Serializable

`Serializable` `Comparator` that that uses the reverse of the compared elements' natural ordering.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Smallest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(T a, T b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### Smallest

    public Smallest()

### Method Detail

#### compare

    public int compare(T a,
                       T b)

Specified by:
  `compare` in interface `Comparator<T extends Comparable<? super T>>`